import discord
import os
from discord import app_commands
from discord.ext import commands
from cogs.deranged_commands import DerangedCommands
from dotenv import load_dotenv
#import selfcord
from cogs.tags import Tags
import constants

load_dotenv()

client = commands.Bot(intents=discord.Intents.all(), command_prefix=".")
#user = selfcord.Client()


@client.event
async def on_message(message):
    if message.author.id != 886685857560539176:
        return
    if message.content.startswith('.sync'):
        await client.tree.sync()
        await message.channel.send('Synced commands')
        

@client.event
async def on_ready():
    print("Logged in as bot")
    #await user.login(constants.USER_TOKEN)
    #print("Logged in as user")
    await client.add_cog(DerangedCommands(client))
    await client.add_cog(Tags(client))
    print("Loaded all cogs")

client.run(constants.TOKEN)