import discord
from discord import app_commands
from discord.ext import commands
import os
import util
import constants


class Tags(commands.Cog):
    def __init__(self, bot: commands.Bot) -> None:
        self.bot = bot

    @app_commands.command(name="tag-forwarding", description="Show a thing about forwarding")
    @app_commands.allowed_installs(guilds=False, users=True)
    @app_commands.allowed_contexts(guilds=True, dms=True, private_channels=True)
    async def forward(self, interaction: discord.Interaction, target: discord.User = None) -> None:
        await interaction.response.send_message(content=f"Hey {target.mention}, take a look at this!" if target else "",
                                                embed=discord.Embed(
                                                    title="Forwarding",
                                                    description="If you do not have forwarding natively, without messing with Experiments, enabling it won't do anything. The experiment is server side locked.",
                                                    color=0x00AEFF
                                                ))
        
    @app_commands.command(name="tag-dev", description="Show a thing about Vencord plugin dev")
    @app_commands.allowed_installs(guilds=False, users=True)
    @app_commands.allowed_contexts(guilds=True, dms=True, private_channels=True)
    async def dev(self, interaction: discord.Interaction, target: discord.User = None) -> None:
        await interaction.response.send_message(content=f"Hey {target.mention}, take a look at this!" if target else "",
                                                embed=discord.Embed(
                                                    title="Plugin development",
                                                    description="Want to get started with plugin development? Some things are there to help you!\n\n**Documentation**\n- https://docs.vencord.dev\n- Just look on the Vencord repo for code\n\n**Channels**\n<#1032770730703716362>, but read <#1032770730703716362> first.",
                                                    color=0x00AEFF
                                                ))
        
    @app_commands.command(name="tag-dev", description="Show a thing about Vencord plugin dev")
    @app_commands.allowed_installs(guilds=False, users=True)
    @app_commands.allowed_contexts(guilds=True, dms=True, private_channels=True)
    async def dev(self, interaction: discord.Interaction, target: discord.User = None) -> None:
        await interaction.response.send_message(content=f"Hey {target.mention}, take a look at this!" if target else "",
                                                embed=discord.Embed(
                                                    title="Plugin development",
                                                    description="Want to get started with plugin development? Some things are there to help you!\n\n**Documentation**\n- https://docs.vencord.dev\n- Just look on the Vencord repo for code\n\n**Channels**\n<#1032770730703716362>, but read <#1032770730703716362> first.",
                                                    color=0x00AEFF
                                                ))
        
    @app_commands.command(name="tag-cant-read", description="You can't read")
    @app_commands.allowed_installs(guilds=False, users=True)
    @app_commands.allowed_contexts(guilds=True, dms=True, private_channels=True)
    async def dev2(self, interaction: discord.Interaction, target: discord.User = None) -> None:
        await interaction.response.send_message(content=f"Hey {target.mention}, take a look at this!" if target else "",
                                                embed=discord.Embed(
                                                    title="Wrong channel!",
                                                    description="Currently, you are in modmail. Your question is a support question, not a question only a staff member could answer.\n*Because you couldn't read the huge WARNING on the modmail channel, you have been banned from opening tickets. Go to <#1026515880080842772>.*",
                                                    color=0xFF8989
                                                ))
        
    @app_commands.command(name="tag-fuckoff", description="fuck you")
    @app_commands.allowed_installs(guilds=False, users=True)
    @app_commands.allowed_contexts(guilds=True, dms=True, private_channels=True)
    async def dev4(self, interaction: discord.Interaction, target: discord.User = None) -> None:
        await interaction.response.send_message(content=f"Hey {target.mention}, take a look at this!" if target else "",
                                                embed=discord.Embed(
                                                    title="Rule 5",
                                                    description="Do not ping for support.\nDo not DM for support.\nDo not use channels other than support for support.\n\n**Use <#1026515880080842772>.**",
                                                    color=0xFF8989
                                                ))

async def setup(bot: commands.Bot) -> None:
    await bot.add_cog(Tags(bot))